Subject: Re: linux-next: manual merge of the tty tree with the jc_docs tree

From: Greg KH <[email-masked]>
Date: Tue, 8 Nov 2016 20:55:26 +0100

On Tue, Nov 08, 2016 at 07:40:53PM +0100, Jiri Slaby wrote:
> On 11/08/2016, 11:15 AM, Greg KH wrote:
> > On Tue, Nov 08, 2016 at 04:30:13PM +1100, Stephen Rothwell wrote:
> >> Hi Greg,
> >>
> >> Today's linux-next merge of the tty tree got a conflict in:
> >>
> >>   Documentation/VGA-softcursor.txt
> >>
> >> between commits:
> >>
> >>   27641b953c54 ("Documentation/VGA-softcursor.txt: convert to ReST markup")
> >>   9d85025b0418 ("docs-rst: create an user's manual book")
> >>
> >> from the jc_docs tree and commit:
> >>
> >>   b9c8b7fc252c ("vgacon: remove prehistoric macros")
> >>
> >> from the tty tree.
> >>
> >> I fixed it up (I deleted it - since 9d85025b0418 moved it - but that
> >> means it may need fixing up in its new location to match any relevant
> >> changes in b9c8b7fc252c) and can carry the fix as necessary. This is
> >> now fixed as far as linux-next is concerned, but any non trivial
> >> conflicts should be mentioned to your upstream maintainer when your
> >> tree is submitted for merging.  You may also want to consider
> >> cooperating with the maintainer of the conflicting tree to minimise any
> >> particularly complex conflicts.
> > 
> > Thanks, I'll work on sending a documentation patch after 4.10-rc1 to fix
> > this up.
> 
> I have the change in my tree already:
> https://git.kernel.org/cgit/linux/kernel/git/jirislaby/linux.git/commit/?h=devel&id=c4321f11b3ea88fc1c756a087869c09e89f2d299
> 
> If you want me to send that as a separate patch (or any other action),
> please let me know.

Can you send it to the documentation tree so it doesn't get lost?

thanks for doing this,

greg k-h